Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4647 - rpm -V misses /etc/passwd
Summary: rpm -V misses /etc/passwd
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-22 06:52 UTC by denbesten
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 14:29:25 UTC


Attachments (Terms of Use)

Description denbesten 1999-08-22 06:52:36 UTC
On both my boxes, rpm -V setup-2.0.2-1 incorrectly believes
that
/etc/passwd and /etc/group have not changed since they were
installed.

Perhaps I am missing something, but shouldn't -V let me know
about changed
files when the change is likely to be the result of a
user/administrator
change?

Also, -V ignores changes to files such as lastlog and tty
owners.
Ocassionally, These changes are occasionally important to
some users.
Perhaps -Vv could override the %verify directive in the spec
files.

I was considering a program which eliminates files from
backups if rpm
indicates that the file came from a package and that the
file has not
been changed.  I figure that this could cut my backup size
in half. Perhaps
I am being to ambitious in my expectations from -V.

Thanks!

Bill D.

duruone:~/backup $ rpm -qf /etc/passwd
setup-2.0.2-1
duruone:~/backup $ rpm -V setup-2.0.2-1
S.5....T c /etc/exports
S.5....T c /etc/hosts.allow
S.5....T c /etc/hosts.deny
S.5....T c /etc/printcap
S.5....T c /etc/profile
..?..... c /etc/securetty
S.5....T c /etc/services
duruone:~/backup $ rpm -qlv setup-2.0.2-1
-rw-r--r--     root     root        723 Feb 18 16:16
/etc/csh.cshrc
-rw-r--r--     root     root          0 Jul 06  1995
/etc/exports
-rw-r--r--     root     root        290 Jul 28  1995
/etc/group
-rw-r--r--     root     root         26 Jul 12  1994
/etc/host.conf
-rw-r--r--     root     root        161 Jul 28  1995
/etc/hosts.allow
-rw-r--r--     root     root        347 Jul 28  1995
/etc/hosts.deny
-rw-r--r--     root     root          0 Jul 06  1995
/etc/motd
-rw-r--r--     root     root        509 Jul 28  1995
/etc/passwd
-rw-r--r--     root     root        289 Jul 28  1995
/etc/printcap
-rw-r--r--     root     root        546 Apr 19 15:35
/etc/profile
drwxr-xr-x     root     root       1024 Aug 19  1996
/etc/profile.d
-rw-r--r--     root     root       1191 Mar 23 17:10
/etc/protocols
-rw-------     root     root         40 Sep 04  1995
/etc/securetty
-rw-r--r--     root     root      11121 Mar 31 19:00
/etc/services
-rw-r--r--     root     root          0 Apr 19 15:39
/var/log/lastlog
duruone:~/backup $ ls -l /etc/passwd  /etc/group
-rw-r--r--   1 root     root          595 Jul  3 18:38
/etc/group
-rw-r--r--   1 root     root         1501 Jul  3 18:37
/etc/passwd
duruone:~/backup $ rpm --version
RPM version 3.0.2
duruone:~/backup $ cat /etc/redhat-release
Red Hat Linux release 6.0 (Hedwig)

Comment 1 Preston Brown 1999-08-23 14:29:59 UTC
the .spec file for setup says the following:

%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group

This is because when the setup package is upgraded, we don't want to
rename your passwd to passwd.rpmsave (and group in the same way).
This would cause many many problems.

These config files are thus special exceptions.


Note You need to log in before you can comment on or make changes to this bug.